// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.2.0
// - protoc             v3.19.4
// source: proto/logon.rpc.proto

package base

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// LogonClient is the client API for Logon service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type LogonClient interface {
	//登录
	Login(ctx context.Context, in *LoginReq, opts ...grpc.CallOption) (*LoginResp, error)
	//登出
	Logout(ctx context.Context, in *LogoutReq, opts ...grpc.CallOption) (*LogoutResp, error)
	// ping保持在线
	Ping(ctx context.Context, in *PingReq, opts ...grpc.CallOption) (*PingReq, error)
	//修改密码
	ChangePassword(ctx context.Context, in *ChangePasswordReq, opts ...grpc.CallOption) (*ChangePasswordResp, error)
}

type logonClient struct {
	cc grpc.ClientConnInterface
}

func NewLogonClient(cc grpc.ClientConnInterface) LogonClient {
	return &logonClient{cc}
}

func (c *logonClient) Login(ctx context.Context, in *LoginReq, opts ...grpc.CallOption) (*LoginResp, error) {
	out := new(LoginResp)
	err := c.cc.Invoke(ctx, "/base.Logon/Login", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *logonClient) Logout(ctx context.Context, in *LogoutReq, opts ...grpc.CallOption) (*LogoutResp, error) {
	out := new(LogoutResp)
	err := c.cc.Invoke(ctx, "/base.Logon/Logout", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *logonClient) Ping(ctx context.Context, in *PingReq, opts ...grpc.CallOption) (*PingReq, error) {
	out := new(PingReq)
	err := c.cc.Invoke(ctx, "/base.Logon/Ping", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *logonClient) ChangePassword(ctx context.Context, in *ChangePasswordReq, opts ...grpc.CallOption) (*ChangePasswordResp, error) {
	out := new(ChangePasswordResp)
	err := c.cc.Invoke(ctx, "/base.Logon/ChangePassword", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// LogonServer is the server API for Logon service.
// All implementations must embed UnimplementedLogonServer
// for forward compatibility
type LogonServer interface {
	//登录
	Login(context.Context, *LoginReq) (*LoginResp, error)
	//登出
	Logout(context.Context, *LogoutReq) (*LogoutResp, error)
	// ping保持在线
	Ping(context.Context, *PingReq) (*PingReq, error)
	//修改密码
	ChangePassword(context.Context, *ChangePasswordReq) (*ChangePasswordResp, error)
	mustEmbedUnimplementedLogonServer()
}

// UnimplementedLogonServer must be embedded to have forward compatible implementations.
type UnimplementedLogonServer struct {
}

func (UnimplementedLogonServer) Login(context.Context, *LoginReq) (*LoginResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Login not implemented")
}
func (UnimplementedLogonServer) Logout(context.Context, *LogoutReq) (*LogoutResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Logout not implemented")
}
func (UnimplementedLogonServer) Ping(context.Context, *PingReq) (*PingReq, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Ping not implemented")
}
func (UnimplementedLogonServer) ChangePassword(context.Context, *ChangePasswordReq) (*ChangePasswordResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ChangePassword not implemented")
}
func (UnimplementedLogonServer) mustEmbedUnimplementedLogonServer() {}

// UnsafeLogonServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to LogonServer will
// result in compilation errors.
type UnsafeLogonServer interface {
	mustEmbedUnimplementedLogonServer()
}

func RegisterLogonServer(s grpc.ServiceRegistrar, srv LogonServer) {
	s.RegisterService(&Logon_ServiceDesc, srv)
}

func _Logon_Login_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LoginReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LogonServer).Login(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/base.Logon/Login",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LogonServer).Login(ctx, req.(*LoginReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Logon_Logout_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(LogoutReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LogonServer).Logout(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/base.Logon/Logout",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LogonServer).Logout(ctx, req.(*LogoutReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Logon_Ping_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(PingReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LogonServer).Ping(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/base.Logon/Ping",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LogonServer).Ping(ctx, req.(*PingReq))
	}
	return interceptor(ctx, in, info, handler)
}

func _Logon_ChangePassword_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChangePasswordReq)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(LogonServer).ChangePassword(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/base.Logon/ChangePassword",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(LogonServer).ChangePassword(ctx, req.(*ChangePasswordReq))
	}
	return interceptor(ctx, in, info, handler)
}

// Logon_ServiceDesc is the grpc.ServiceDesc for Logon service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var Logon_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "base.Logon",
	HandlerType: (*LogonServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Login",
			Handler:    _Logon_Login_Handler,
		},
		{
			MethodName: "Logout",
			Handler:    _Logon_Logout_Handler,
		},
		{
			MethodName: "Ping",
			Handler:    _Logon_Ping_Handler,
		},
		{
			MethodName: "ChangePassword",
			Handler:    _Logon_ChangePassword_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "proto/logon.rpc.proto",
}
